# Uses of Interface
org.eclipse.birt.report.model.api.core.IAttributeListener

Packages that use IAttributeListener
Package
Description
org.eclipse.birt.report.model.api
Tool-writer's interface for the BIRT design model (also known as the "Design Engine.")

## Uses of IAttributeListener in org.eclipse.birt.report.model.api

Methods in org.eclipse.birt.report.model.api with parameters of type IAttributeListener
Modifier and Type
Method
Description
`final void`
ModuleHandleImpl.`addAttributeListener(IAttributeListener listener)`
Adds one attribute listener.
`final boolean`
ModuleHandleImpl.`removeAttributeListener(IAttributeListener listener)`
Removes one attribute listener.